apiVersion: apps/v1
kind: Deployment
metadata:
  name: contextservice
spec:
  selector:
    matchLabels:
      app: contextservice
  template:
    metadata:
      labels:
        app: contextservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/context:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 1010
        - containerPort: 8080
        env:
        - name: DB_ENGINE
          value: "redis"
        - name: REDIS_DATABASE_ID
          value: "0"
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:1010"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:1010"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: contextservice
spec:
  type: ClusterIP
  selector:
    app: contextservice
  ports:
  - name: grpc
    port: 1010
    targetPort: 1010
  - name: http
    port: 8080
    targetPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: contextservice-public
  labels:
    app: contextservice
spec:
  type: NodePort
  selector:
    app: contextservice
  ports:
  - name: grpc
    protocol: TCP
    port: 1010
    targetPort: 1010
  - name: http
    protocol: TCP
    port: 8080
    targetPort: 8080
---
